Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595618 - [abrt] crash in lyx-common-1.6.5-2.fc12: tex_copy.py:57:main:IOError: [Errno 2] No such file or directory: '/tmp/lyx_tmpdir.MT3796/lyx_tmpbuf8/5_home_veksler_technion_thesis_doctoral-proposal_no-overlap.pdftex_t'
Summary: [abrt] crash in lyx-common-1.6.5-2.fc12: tex_copy.py:57:main:IOError: [Errno ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: lyx
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b1b033d3
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 08:14 UTC by Michael Veksler
Modified: 2011-03-15 18:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-15 18:22:32 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-25 08:14 UTC, Michael Veksler
no flags Details
This is a minimal file to reproduce this error (deleted)
2010-11-11 17:49 UTC, Michael Veksler
no flags Details

Description Michael Veksler 2010-05-25 08:14:14 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python -tt /usr/share/lyx/scripts/tex_copy.py /tmp/lyx_tmpdir.MT3796/lyx_tmpbuf8/5_home_veksler_technion_thesis_doctoral-proposal_no-overlap.pdftex_t /home/veksler/technion/.lyx/cache/2673035637-pdftex 2673035637-pdftex
component: lyx
executable: /usr/share/lyx/scripts/tex_copy.py
kernel: 2.6.32.12-115.fc12.x86_64
package: lyx-common-1.6.5-2.fc12
reason: tex_copy.py:57:main:IOError: [Errno 2] No such file or directory: '/tmp/lyx_tmpdir.MT3796/lyx_tmpbuf8/5_home_veksler_technion_thesis_doctoral-proposal_no-overlap.pdftex_t'
release: Fedora release 12 (Constantine)

backtrace
-----
tex_copy.py:57:main:IOError: [Errno 2] No such file or directory: '/tmp/lyx_tmpdir.MT3796/lyx_tmpbuf8/5_home_*private info deleted*overlap.pdftex_t'

Traceback (most recent call last):
  File "/usr/share/lyx/scripts/tex_copy.py", line 69, in <module>
    main(sys.argv)
  File "/usr/share/lyx/scripts/tex_copy.py", line 57, in main
    from_file = open(abs_from_file, 'rb')
IOError: [Errno 2] No such file or directory: '/tmp/lyx_tmpdir.MT3796/lyx_tmpbuf8/5_home_*del*overlap.pdftex_t'

Local variables in innermost frame:
to_base: '2673035637-pdftex'
rel_from_file: '5_home_*del*overlap.pdftex_t'
to_ext: ''
latex_base: '2673035637-pdftex'
from_base: '5_home_*del*overlap'
from_ext: '.pdftex_t'
argv: ['/usr/share/lyx/scripts/tex_copy.py', '/tmp/lyx_tmpdir.MT3796/lyx_tmpbuf8/5_home_*del*overlap.pdftex_t', '/home/*private info deleted*/.lyx/cache/2673035637-pdftex', '2673035637-pdftex']
to_dir: '/home/*private info deleted*/.lyx/cache'
rel_to_file: '2673035637-pdftex'
latex_ext: ''
from_dir: '/tmp/lyx_tmpdir.MT3796/lyx_tmpbuf8'
abs_from_file: '/tmp/lyx_tmpdir.MT3796/lyx_tmpbuf8/5_home_*del*overlap.pdftex_t'
abs_to_file: '/home/*del*/.lyx/cache/2673035637-pdftex'
latex_file: '2673035637-pdftex'

How to reproduce
-----
1. Create a lyx document with beamer and xfig figures with embedded formulas
2. copy the lyx document, but not the external material (with the intent of replacing figures with tikz material)
3. try to generate PDF through pdflatex

Comment 1 Michael Veksler 2010-05-25 08:14:17 UTC
Created attachment 416302 [details]
File: backtrace

Comment 2 Bug Zapper 2010-11-03 14:15:54 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 José Matos 2010-11-10 16:26:05 UTC
I am sorry Michael for taking so long to look into this.

Does the problems still occurs with the latest lyx version in F-12?

Comment 4 Michael Veksler 2010-11-11 17:49:47 UTC
Created attachment 459809 [details]
This is a minimal file to reproduce this error

This bug can be reproduced with fc13:
lyx-1.6.7-1.fc13.x86_64

I am attaching a minimal file that gives this error. Note that lyx itself does not crash, only the helper python script.

Comment 5 Bug Zapper 2010-12-03 14:24:10 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Michael Veksler 2010-12-03 17:24:05 UTC
According to comment 4 this bug is present in fc13

Comment 7 José Matos 2011-03-15 15:22:00 UTC
Michael, do you know if this problem still occurs in F14 with lyx-2.0?

Comment 8 Michael Veksler 2011-03-15 17:36:01 UTC
(In reply to comment #7)
> Michael, do you know if this problem still occurs in F14 with lyx-2.0?
I have verified that it still occurs in F14 with
    xfig-common-3.2.5-25.b.fc14.x86_64
    lyx-2.0.0-0.11.beta3.fc14.x86_64

Comment 9 José Matos 2011-03-15 18:22:32 UTC
Thank you for verifying that.

I fixed the issue upstream
http://www.lyx.org/trac/changeset/37937

The fix should be in the next release (rc 2).

Since this bug is not critical, annoying yes, I suggest to wait for the next release for the fix instead of back porting it to the current release.


Note You need to log in before you can comment on or make changes to this bug.